package com.crm.manager.dao.mapper;

import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.user.info.UserReferralDto;
import com.crm.rely.backend.core.entity.user.info.UserReferralEntity;

import java.util.List;

public interface UserReferralMapper {

    Integer countList(UserReferralEntity entity);

    List<UserReferralDto> getReferralList(UserReferralEntity entity);

    Integer getSuccessRefeeralCount(UserReferralEntity entity);

    List<UserReferralDto> getSuccessRefeeralList(UserReferralEntity entity);
}
